Vendredi 5 février 5 05 /02 /Fév 12:29


; 3D
(command "_3dorbit")
(command "3dface" el1....el5 "")
(command "_.3DMESH" "6" "3" pt1....pt5)
(command "3dpoly")
(repeat leng
(repeat (1+ seg)
(setq x (* rad (sin (* cnt ang))))
(setq y (* rad (cos (* cnt ang))))
(setq z (* cnt (/ pit seg)))
(setq point (list x y z))
(command point)
(setq cnt (1+ cnt))
)
)
(command "")

(command "_.3dpoly")
(foreach pt splist
(command pt)
)
(command "")

; A
(command "_arc" p1 p2 p3 "")
(command "_arc" p1 "e" p2 "a" 30)
(command "_arc" p1 "e" p2 "r" 150 "")
(command "_arc" p1 "c" p2 "l" 8 "")
(command "_arc" "c" p1 p2 p3 "")

(command "_area" "o" el)
(command "_area" "a" "o" el1...el2 "" "")
(command "_area" "s" el1 "" el2 "")
(command ".area" "e" el)
(command "_area" "_o" el)
(command "area" "o" el)
(command "_.area" "_ob" (entlast))

(command "_array" el "" "p" loc 7 360 "" "")
(command "_array" "l" "" "p" loc 7 "" "")
(command "_array" el "" "P" loc 7 90 45)
(command "_array" el "" "r" nr "1" y)
(command "_array" el "" "r" "1" nc x)
(command "_array" el "" "r" nr nc y x)
(command "_array" (entlast) "" "r" p1 p2 p3 p4)
(command "_array" el "" "r" total_row total_column pitch)

(command "_.attedit" "Y" "" "" "" blk "" "c" "1" "")
(command "attedit" "" "" "" "" (cadr ent) "" "V" "" newdate "")
(command "-attedit"
"Y"
"YourBlockName" ; name of block
"YourTagName" ; name of tag
""
"W" ; window selected area
"-1000,-1000" ; cordinate first
"1000,1000" ; cordinate second
"Value"
"Replace"
str
"")

; B
(command "_.-BLOCK" bn "_Y" pt ssetn "")
(setq bn (getstring t "\nEnter name for block: "))
(setq bp (getpoint "\nClick as base point block: "))
(prompt "\nSelect object would become block")
(setq ss (ssget))
(command "_-block" bn bp ss "")

(command "_bhatch" "p" "ansi31" 10 0 loc2 "")

(setq click (getpoint "\nPick inner box: "))
(command "_boundary" click "")

(command "._break" ent "_F" pt2 pt3)
(command "break" ss "f" point "@")
(command "break" newpt1 newpt2 nil)
(command "_break" ss pt1 pt2)

(command "browser" UrlStr)

; C
(if
(not (member "geom3d.arx" (arx)))
(arxload "geom3d")
) ; if
(setq Bolt 4)
(c:cal "Bolt * 4")

(command "_chamfer" "d" 0.5 0.5 "" "_chamfer" el2 el3 "")

(command "_change" es2 es3 es4 es5 es6 es7 "" "p" "c" 7 "")
(command "_change" ename "" "p" "lt" opt "")
(command "change" dimarc "" "p" "c" "bylayer" "")
(command "change" ss "" "" "" "" "" "" newstr)
(command "change" "l" "" "p" "la" la "")
(command "change" "l" "" "p" "co" co "")
(command "change" "l" "" "p" "lt" lt "")
(command "change" e "" "" "" "" ang "")

(command "change" "l" "" "p" "la" "cenlin" "")

(command "_circle" loc dd2 "")

(command "_clayer" 0 "")

(command "color" "1")
(command "color" "1" "line" pt1 pt2 "")
(command "color" "1" "pline" pt3 "w" "0" "0" pt2 pt1 "a" "d" ang2 pt5 "w" "0" "0" "")

(command "start" "mailto:joelr@watertechnologyinc.com")

(command "copy" SS "" pause)
(command "copy" "l" "" p25 p27)
(command "_.COPY" ss "" "0,0,0" p1)
(command "_.copy" na "" "0,0,0" "0,0,0")

(command "ucs" "world")
(setq oldos (getvar "osmode"))
(command "osnap" "none")
(setq pt1 '(0.0 0.0))
(setq pt2 '(25.0 25.0))
(setq copyent (ssget "_w" pt1 pt2))
(command "_copybase" "0,0" copyent "")
(setq el (entlast))
(setvar "osmode" oldos)
(command "_pasteclip" pause "")

(command "_copyclip" (ssget) "")
(setq p1 (getpoint "\nClick first location: "))
(setq p2 (getcorner p1 "\nClick second location: "))
(command "_copyclip" p1 p2)
(command "_CopyClip" "all" " ")

(command "._chprop" ss "" "la" nl "")
(command "CHPROP" SS "" "la" NEWLAY "")
(command "chprop" "l" "" "c" 1 "")
(command "_.chprop" ss "" "_c" new "")
(Command "_.chprop" SS-LAYER "" "_LA" BLAYER "")
(Command "_.chprop" SS-COLOR "" "_C" BCOLOR "")
(Command "_.chprop" SS-LTYPE "" "_LT" BLTYPE "")

; D
(command ".ddvpoint" "a" 315 "p" 35)

(command "_.delay" 10)

(command "._dim1" "_leader")

(command "_dimaligned")
(while
(> (getvar "cmdactive") 0)
(command pause)
)

(command "-dimstyle" "r" "dleader")
(command "_.dimstyle" "S" tdimsca)
(command "-dimstyle" "r" old-dimstyle)

(command "_divide" p3 (* num 2) "")

(command "_donut" inside_diameter outside_diameter pt "" "")
(command "donut" wd tod uspai "")

(command "dtext" point "" height "" rot_ang "" value "")
(command "_dtext" '(0 0 0) "" 3 "" 0 "" "Adesu is the best" "")

(command "_.DVIEW" "" "_TW" (* a1 (/ 180 pi)) "")

(command "._+dsettings" 0)

; E
(command "elev" (caddr uspai) tw)

(command "._ELLIPSE" p1 p2 p3 2)

(command "_erase" ssn "")
(command "_erase" "w" w1 w2 "")

(command "._VBASTMT" "ThisDrawing.Close False")

(command "._explode" (entlast))

(command "_extend" ssn1 ssn2 "" "e" "e" f2 "")
(command "_extend" p1 "" p2 "")

(command "_extrude" r1l "" hei "0" "")
(command "extrude" (entlast) "" "p" spiral)

(command "_.etransmit" "c" file )

; F
(command "_fillet" es3 es4)
(command "_fillet" "r" 0.5 "_fillet" loc2 "" "c" "e" "")
(command ".fillet" "r" 3 ".fillet" f1 f2 )
(command "fillet" "R" #RAD "fillet" #ENT1 #ENT2)
(command "_.fillet" (car Ent1) (car Ent2))
(command "fillet" "r" 2 0.75)
(command "fillet" "p" "l")
(command "_.FILLET" "_R" "1")
(command "_.FILLET" "_P" "_l")
(command "_fillet" "r" rad "_fillet" "t" "t" es2 es3)
(command "fillet" "R" 5)
(command "fillet" "p" (entlast))

; G

; H
(command "hatch" "ansi31" "20" 45 "" "n" p1 p2 p3 "c" "")
(command "_bhatch" "p" "ansi31" 10 0 loc2 "")

; I
(command "_.-image" "_attach" filename)
(defun c:ii (/ fnm pt sca ang vgao vgad vgms)
(vl-load-com)
(setq fnm (getfiled "Choose Image file" "" "BMP" 4 )) ;
(setq pt '(0 0 0))
(setq sca 1)
(setq ang 0)
(if
fnm
(progn
(setq vgao (vlax-get-acad-object))
(setq vgad (vla-get-ActiveDocument vgao))
(setq vgms (vla-get-ModelSpace vgad))
(vla-AddRaster vgms fnm (vlax-3d-point pt) sca ang)
) ; progn
(alert "\nInvalid selected object image,please try again")
) ; if
) ; defun
(setq file "aw-block.dwg")
(setq pt (getpoint "\nClick location for object: "))
(command "_insert" file pt "" "" "")
(command "_insert" dwgname pt "" "" "" "")
(command "insert" "detbub" "SCALE" scale pause "0" "" "")
(command "insert" "c_arw1" arpt1 gs gs (angtos ang1))
(command "insert" "c_arw2" arpt2 gs gs (angtos ang2))
(command "insert" homearr (dxf 11 ed) (getvar "dimscale") "" (dxf 10 ed))
(command "_insert" "triangle" "" "insbase" "0.1" "0.1" "0" "")
(command "insert" sbl is "" "" "0" )
(command "_.-INSERT" bn "0.0,0.0,0.0" "_XYZ" xsf ysf zsf "0.0")
(command "-insert" "cot_cao_do" pt3 "" "" "" txt "")

; J

; K

; L
(command "_.layer" "n" "red,blue" "c" "1" "red" "c" "5" "blue" "m" "white" "c" "7" "" "")
(command "_layer" "m" "FLOATING BUSH" "c" 1 "" "")
(command "_layer" "n" nlay "")
(command "_.LAYER" "T" "AREA-TEXT" "on" "AREA-TEXT" "s" "AREA-TEXT" "")
(command "_.LAYER" "M" "AREA-TEXT" "C" "201" "" "plot" "no" "AREA-TEXT" "")
(command "_.LAYER" "T" "DATESTAMP" "")
(command "_.LAYER" "N" "DATESTAMP" "C" "7" "DATESTAMP" "S" "DATESTAMP" "")
(command "._layer" "_thaw" LayerName "_on" LayerName "_unlock" LayerName "_set" LayerName "")
(command "LAYER" "THAW" uselayer "SET" uselayer "")
(command "LAYER" "FREEZE" "*" "")
(command "_layer" "f" "Adesu" "")
(command "_.layer" "_UNlock" clayer)
(command "_.LAYER" "_UNLOCK" (getvar "clayer") "")
(command "._LAYER" "_LOCK" (getvar "clayer") "")
(command "_layer" "_c" "8" "~joke alternate" "")
(command "._layer" "_A" "_R" ....)

(command "_layout" "n" "layout10" "")
(command "_layout" "c" "layout1" "layout3")
(command "_layout" "d" "layout10" "")
(command "_layout" "r" "layout3" "Adesu")
(command "_layout" "s" "Adesu")

(command "lengthen" d "")

(command ".limmax" (list 120 80))

(command "_line" "non" loc "non" p1 "") ; if osnap on
(command "_line" p1 p2 "")
(command "_line" spt ept "")
(command "_line" LP1 LP2 "" ".select" "l" "" )

(command "_linetype" "l" "*" lin "")

(command "-linetype" "load" "*" "civild"
(while
(not (zerop (getvar "cmdactive")))
(command "")
) ;end while
) ;end command

(command "_.list" "")

(setq nlay "DIMENSION")
(setq lay (getvar "clayer"))
(if
(/= lay nlay)
(command "_layer" "m" nlay "c" 7 "" "")
)

(command "leader" pnt1 ptxt "" coordn coorde "")

; M
(command "_measure" (entsel) 5)

(command "_mirror" e3 e4 "" loc2 loc3 "")
(command "mirror" "l" "" pt1 "@10<0" "y")

(command "_mline" sp ep "")

(command "_move" p1 "" loc p2 "")
(command ".move" "l" "" p2)
(command "_.move" ss "" "0,0,0" "0,0,0")

(command "_.MSPACE")

(setq p1 '(0 0 0))
(setq p2 '(10 5 0))
(setq str "text of the title text")
(command "_mtext" p1 p2 str "")

(command "_.mview" p1 p2)
(command "_.mview" "_on" (cdr (assoc -1 vp)) "")
(command "_.mview" "_off" (cdr (assoc -1 vp)) "")

; N

; O
(command "offset" "t" oe dimloc "")
(command "offset" off_dst off_obj "from" point1 (strcat "@1<" (rtos perp_angle1)) "")
(command ".offset" (* 2 CRAD) OP1 CP1 "")
(command "offset" (* a cnt) b (polar (cadr b) ang a) "")
(command "_.offset" b na2 a "")
(command "_offset" 0.5 el pt "")

(command "_open" item "")

(command "ortho" "on")

(command "osnap" "off")

; P
(command "_.PAN" (trans p2 3 2) (trans p1 3 2))
(command "pan" "_non" "0,0" "_non" "0,50")

(command "._PEDIT" (entlast) "_W" 2 "X")
(command "._pedit" (entlast) "_yes" "_join" CList "" "")
(command "._pedit" ssn "_yes" "_join" SList "" (strcat "_" CurveType) "")
(command "pedit" "L" "J" sset "" "")
(command "pedit" e1 "y" "j" e2 e3 """")
(command "_.pedit" "_last" "_N" "")
(command "_.pedit" na "_w" "0.0" "_x")
(command "_.pedit" "_last" "_N" "")

(command "_.pline")
(mapcar 'command pts_lst)
(command)
(command "_pline" loc "l" p1 "arc" "ce" loc "l" lseg "l" loc "")
(command "_pline" loc1 p1
"a" "r" rad p3
"l" p4 p5 p6 p7 p8 p9 p10 p11 p12
"a" "r" rad p14
"l" p15
"a" "r" rad p17
"l" p18 p19 p20 p21 p22 p23 p24 p25 p26
"a" "r" rad p28
"l" "cl" "")
(command "_pline" loc1 p1 p2 p3 p4 p5 p6 "c" "")
(command ".PLINE" ptll "W" "0" "0" ".X" ptur ".Y" ptll ptur ".X" ptll ".Y" ptur "C")
(command "_.PLINE" "0,0" (list 0 yl) (list xl yl) (list xl 0) "0,0" "_C")
(setq p1 (getvar "lastpoint"))
(command "_pline" p1 (setq px1 (polar p1 (+ ang (* pi 0.5)) wid2))
"a" (setq px2 (polar px1 (+ ang 0) spa2))
"l" (setq px3 (polar px2 (+ ang (* pi 1.5)) wid))
"a" (setq px4 (polar px3 (+ ang 0) spa2))
"l" (polar px4 (+ ang (* pi 0.5)) wid2) "")

(command "_plot") ; to know total setting
(command "-PLOT"
"YES" ; Detailed plot configuration?
"" ; Enter a layout name or [?] :
"Canon LBP-4" ; Printer type
"A4" ; Paper size
"Millimeters" ; Unit size
"Landscape" ; Model type
"N" ; Plot upside down?
"WINDOW" p1 p2 ; What to plot
"FIT" ; (Plotted Millimeters=Drawing Units) OR [Fit]
"CENTER" ; Enter plot offset (x,y) or [Center]
"YES" ; Plot with plot styles
"MONOCHROME" ; plot style table name
"YES" ; PLOT WITH LIGHWEIGHT
"As displayed" ; SHADE PLOT SETTING
"N" ; Write the plot to a file [Yes/No] :
"Y" ; Save changes to page setup [Yes/No]? y
"Y" ; Proceed with plot [Yes/No] :
) ; END command
(command "plot"
"y"
""
"Postscript File.pc3"
"User 1 (8.50 x 11.00 Inches)"
"i"
"l"
"n"
"e"
"f"
"c"
"y"
"ASC_RICOH_STYLE.ctb"
"y"
"y"
"y"
(strcat fil_path file_name "/model.eps")
"n"
"y")
(command "-plot" "yes" "" "Mainprinter.pc3" "A3" "" orientation 
"" "" "" "" "" "" ""  "A3.ctb" "" "" "" "" "" "yes" "no" )
(command "plot" "Y" "MODEL" "LaserJet 5Si.pc3" fmtS "Inches" fmtr
"N" "W" pt1 pt2 "FIT" "center" "Y" "std.ctb" "Y" "N" "N" "N" "Y")

(command "point" ept "")

(command "_polygon" 6 loc "c" p1 "")
(command "polygon" sid ctrpt "C" p1)

(command "_.PSPACE")

(command "_purge" "la" lname "y" "y" "")

(command "_pasteclip" p1)


; Q
(command "_quit")

(command "qleader" p1 p2 p3 "0" txt "")

(command "_qsave")

; R
(command "_ray" sp ep "")

(command "_rectang" p1 p2 "")

(command "_redraw")

(command "_regen")

(command ".region" "w" w1 w2 "")

(command "_rename" "layer" "oldlayer" "newlayer")
(command "_.rename" "_block" tmp bna)

(if
(not (member "geom3d.arx" (arx)))
(arxload "geom3d")
)
(rprefs "TOGGLE" "SKIPDLG" "ON")

(command ".revolve" "w" w1 w2 "" L1 L2 360 "")
(command "revolve" "l" "" pt5 pt6 "")

(command "_.REVSURF" (list e2 ax) (list e1 cen) "" "")

(command "_rotate" ss1 "" loc "1")

(command "_rotate" ssn "" opt ang "")

(command "_rotate" "L" "" p3 "1")

(command "_.ROTATE" (entlast) "" pt1)

(command "_rotate" ss "" sp "r" 0 15 "")

(if (not (member "geom3d.arx" (arx)))
(arxload "geom3d"))
(rotate3d p4 "x" p3 "r" 0 90)

(command "_.RULESURF" (list e1 cen1) (list e2 cen2))


; S
(command "_saveas" "2000" new_file "")

(command "_SAVE" tempfile "y")
(command "_SAVE" tempfile)

(command "_scale" el "" loc scal "")
(command "_.SCALE" (entlast) "" "0,0" isc)

(setq path (getfiled "Select a dwg file" "" "scr" 0))
(command "_.script" path)

(setq ss (car (entsel "\nSelect a 3D object")))
(setq pt (getpoint "\nPick as base point: "))
(command "_section" ss "" "xy" pt "")

(command "_.SELECT" "_SI" "_AU" pause)

(command "_shademode" "g")

(command "shell" "del temp.tdf")

(command "slice" "l" "" pt1 pt3 pt1z pt5)

(command "_snap" "_on")

(command "solid" pt11 pt12 pt14 pt13 "")
(command "_.SOLID" "4.1,.1" "4.4,.1" "4.25,.25" "" "")

(command "_spline")
(foreach x npt
(command x)
)

(command "_stretch" "_C" pt1 pt2 "" bpt (list lngth (car bpt)) "")

(command "_style" stx stx "0" "1" "0" "N" "N" "N"))
(command "style" "romans" style name
"romans.shx" font file name
0 height
1 width factor
0 obliquing angle
"n" backwards
"n" upside down
"n" vertical)

(command "_subtract" p1 "" p2 "")

; T
(command "_style" "HELVETICABOLD" "hvbo.shx" "" "" "" "" "n" "n" "")

(command "_text" p5 th ang str2 "")
(command "_text" "j" "ml" loc 3 "0" str)
(command "_text" loc th "" str)
(command ".text" "_non" loc 0 str)
(command "_text" loc th "" str)
(Command "_text" "_j" "_m" px ts "0" txt)
(command "_text" "m" pt "0.05" "0" (strcat "%%" (rtos cnt 2 0)))
(command "_text" "m" sub_pt "0.05" "0" (rtos cnt 2 0))
(command "_text" "_midd" InsPnt "" NumVal)

(command "_trim" es8 es9 "" p22 "")
(command ".trim" "p" "l" "" TP1 TP2 "")
(command "TRIM" CE "")
(command "_.trim" (setq THETRIMLINE (entlast)) "" "f" ll ur "" "")
(command "_.trim" na "")

; U
(command "_ucs" "_p")
(command "ucs" "z" a3)
(command "ucs" "w")
(COMMAND "UCS" "3POINT" SP SPR SPA)
(COMMAND "UCS" "WORLD")
(command "_.UCS" "_x" "90")
(command "_.UCS" "_ZAXIS" cen ra)
(command "_ucsicon" "off")

(command "_.undefine" "line")

(defun c:adesu()
(setvar "CMDECHO" 0)
(command "_.line")
(setvar "CMDECHO" 1)
(princ)
) ; defun
(command "_.redefine" adesu)

(command "undo" "b")
(command "undo" "m")
(command "_.undo" "_end")
(command "_.undo" "_group")
(command "undo" "g")

(command "_union" p7 "")

(command "UNITS" 4 "16" "1" "0" "0" "N")

; V
(command "_viewres" "y" 10000 "")

(command "_.vplayer" "_freeze" "*" "_Current")

(command "_vpoint" "r" 275 35 "")


; W
(command "_WBLOCK" "block1" "" basepoint entname "")
(initdia)
(command "_.WBLOCK")
(command "_.wblock" (strcat "< >" (getvar "dwgname")) "*")
(command "wblock" "de" "" v0 sbl "" "erase" sbl "")
(command "wblock" "io" "" v0 sbl "" "erase" sbl "")
(command "wblock" "st" "" v0 sbl "" "erase" sbl "")

; X
(command "_xline" p1 p2 "")
(vl-cmdf "_xline" "b" inter-point p1 p2 "")
(command "_xline" "h" '(0 0 0) "")
(command "_xline" "a" 160 '(0 0 0) "")

(command "-xref" "p" (cdr (assoc 2 xrefedblock)) newpath)
(command "_.XREF" "_Path" bn (strcase (strcat bn ".DWG")))
(command "XREF" "Path" (cdr (assoc 2 xr_t)) xr_n)
(command "xref" "attach" (findfile uncommonblock) "0,0" "" "" "")
(command "_xref"
"a" ; attach
"trees-1-S300" ; trees-1-S300.dwg
sp ; start point
scale_factor ; scale_factor
angle_factor ; angle_factor
"" ;
0 ;
)
(command "_xref" "d" xref)
(command "-xref" "B" xr)
(command "-xref" "_overlay" "B.dwg" "0,0,0" "1" "" "0")
(command "-xref" "_detach" "A")

; Y

; Z
(command "_zomm" "v")
(command "_zoom" "e")
(command "_zoom" "a")
(command "_zoom" "d" "")
(command "ZOOM" "W" X1 X2)
(command "_.ZOOM" (strcat (mv_sts vp_scale) "xp"))
Par tea che - Publié dans : AutoCad
Ecrire un commentaire - Voir les 0 commentaires
Retour à l'accueil
Créer un blog gratuit sur over-blog.com - Contact - C.G.U. - Rémunération en droits d'auteur - Signaler un abus - Articles les plus commentés